PostgreSQL 7.4.11 Documentation
Prev | Fast Backward |  | Fast Forward | Next

# SPI_cursor_move

## Name

SPI_cursor_move -- move a cursor

## Synopsis

    void SPI_cursor_move(Portal portal, bool forward, int count)

## Description

`SPI_cursor_move` skips over some number of rows in a cursor. This is equivalent to the SQL command `MOVE`.

## Arguments

`Portal `portal``

  portal containing the cursor

`bool `forward``

  true for move forward, false for move backward

`int `count``

  maximum number of rows to move

Prev | Home | Next
SPI_cursor_fetch | Up | SPI_cursor_close